function [am,ph,tap]=am_ph(x,Ifr,Step,F,tau);
%         
% ( )
%
%:      [am,ph,[t]]=am_ph(x,Ifr,Step,F,tau); 
%
%    x -  ;
%  Ifr -  ,      ;
% Step -    ;
%    F -    (..   
%         tau);
%  tau -   (..     F);
%
%   am -  ;
%   ph -   (  tau);
%    t -    (  tau);
%
% !!!  1.   .   
%                   .
%              2.     t=0.

%  ..,  12.11.97

x=x(:);			%  ,   
t=(0:length(x)-1)'*tau;	%   (  tau)
T=1/F;
%-------------------------------------------------------
am=[]; ph=[]; tap=[]; k=1;
i1=1; i2=Ifr;
while i2<length(x),
   [am(k),ph(k)]=wave_fit(t(i1:i2),x(i1:i2),T);
   tap(k)=(Ifr/2+(k-1)*Step)*tau;
   k=k+1;
   i1=(k-1)*Step+1;
   i2=i1+Ifr-1;
end
am=am(:); ph=ph(:); tap=tap(:);