function [a_alpha,a_delta]=ap_pos(m_alpha,m_delta,mu_alpha,mu_delta,T0,T)
%        
%  
%
%:
%   [a_alpha,a_delta]=a_posit(m_alpha,m_delta,mu_alpha,mu_delta,T0,T);
%
%   m_alpha, m_delta  -     T0;
%   mu_alpha,mu_delta -   ;
%                  T0 -   (    J2000.0);
%                   T -   (    J2000.0);
%
%     a_alpha,a_delta -      
%                       
%
%     (alpha) ..  ,
%   (delta) -  
%
% : .  "   " - : ,
%           1988. .54-55

T = 1+T;         %    J1900.0
T0 = 1+T0;

m = 3.07234 + 0.00186*T0; %  . 
n = 20.0468 - 0.0085*T0;  %  . .

%    - 

da = m + (n/15)*sin(d2r(m_alpha*15)).*tan(d2r(m_delta));
dd = n*cos(d2r(m_alpha*15));

%       

da = da+mu_alpha/100;
dd = dd+mu_delta/100;

%       T0  T

da = da*(T-T0)*100;
dd = dd*(T-T0)*100;

%   

a_alpha = m_alpha+da/3600;
a_delta = m_delta+dd/3600;
