%Other my functions.
%
%amph    - calculate the ampl. and phase of Sin-wave in moving window
%arc_p   - longitude and latitude of arc point.
%a_spectr- amplitude spectrum and graph of time series.
%between - test of conditions.
%car2car - rotational transform of cartesian coordinates.
%car2sph - cartesian to spherical coordinates transform.
%cdtmjd  - Modified Julian day of calendar date.
%comm_x  - indexes of common region.
%corr_f  - correlation function and confidence intervals.
%d2r     - degrees to radians transform.
%deg2dms - degrees (hours) to degrees, minutes and secondes.
%deriv3  - 3-point differentiation of time series.
%dms2deg - degrees (hours), minutes and secondes to degrees (hours).
%equ2hor - equatorial to horisontal coordinates transform.
%fisher  - Fisher's confidence intervals.
%fract_d - fractal dimension of time series.
%f_axis  - generate a frequency axis for FFT plots.
%f_resp  - calculate frequency response and plot.
%f_year  - fraction of year for MJD or calendar date.
%herst_2 - Hurst number.
%lon360  - [-180...+180] to [0...360] longitude transform.
%map     - map of coastal line (mercator or polar view).
%miss_l  - linear interpoltion for missing (error) data.
%mjdcdt  - calendar date of Modified Julian day.
%my_page - locate the figure in upper part of page and decrease it size
%norm_x  - normalize of vector to (-1...+1) or Standard deviations.
%polar_n - North-polar projection graph of geographical point.
%polar_s - South-polar projection graph of geographical point.
%pole    - position of rotation pole and rotation angle.
%p_axis  - graph of period axis at top of spectrum plot.
%p_gramm - periodogramm or amplitude spectrum calculations.
%r2d     - radians to degrees transform.
%rot     - rotational transform of spherical coordinates.
%rot_s   - unit matrix of rotation.
%sph2car - spherical to cartesian coordinates transform.
%svan_all- time-spectral analysis
%s_plot  - plot of part of initial plot.
%s_time  - local sideral time.
%t_hour  - hour angle.
%wave    - time-spectral analysis.
%wave_fit- amplitude and phase of sin-approximation.
%wave_val- sin-generation.

% S.Y.Khomutov, Novosibirsk, Russia
