function [r,r_min,r_max,lag]=corr_f(x,y,t)
%
%       
%    
%
%  : [r,r_min,r_max,lag]=corr_f(x,y,[t])
%
%   :
%     x -   (  n);
%     y -   ();  =x - 
%          ;
%     t -   =   
%              
%          (, t=1.645  ALPHA=10%). 
%          = 1.645.
%   :
%     r -   (  2*n+1);
%     r_min,r_max -      
%           ,   t;
%   lag -  ( -n  +n);     ,
%          Y  X.

%
%  14.03.96    Khomutov S.Yu.
%

if nargin<3
   t=1.645;
end
%
r=xcov(x,y,'unbiased'); % cov(lag)/(N-abs(lag))
sd_x=std(x); sd_y=std(y);
N=length(r);
disp('Error -> see next line')
pause
r=r(4:N-3)./(sd_x*sd_y);      %     4   

% Fisher criteria
z = 0.5 .*log( (1+r)./(1-r) );

% Standart deviation of z
n=max(size(x));
lag=[-(n-4):n-4]';            % 
sd_z=1.0./sqrt((n-abs(lag))-3);
%
z_min=z-t.*sd_z;
z_max=z+t.*sd_z;
r_min=-(1-exp(2*z_min)) ./ (1+exp(2*z_min));
r_max=-(1-exp(2*z_max)) ./ (1+exp(2*z_max));
