function P=p_gramm(fft_val,flag)
%    [a(k)^2+b(k)^2]*[2/N] 
%   abs(fft_val)*[2/N]
%        P=p_gramm(fft_val,flag)
%
% fft_val -   FFT (fft_val=fft(obs.)
%    flag - 1 -  ( )
%           2 -  

%
%  ..,   12.04.96, 10.09.96
%
if nargin==1
   flag=1;
end
if mod(length(fft_val),2)==0
   N=length(fft_val)/2;
else
   N=length(fft_val)/2+1;
end
if flag==1
   P = ( real(fft_val(1:N)).^2 + imag(fft_val(1:N)).^2 )/(N-1);
else
   P = abs(fft_val(1:N))/(N-1); P(1)=P(1)/2;
end
