function [lon_new,lat_new,R]=rot(lon_old,lat_old,lon_p,lat_p,omega)
%   (    1)
%      (lon_p,lat_p)
%  OMEGA
%
%:  [lon_new,lat_new,R]=rot(lon_old,lat_old,lon_p,lat_p,omega);
%
%    lon_old,lat_old -   (  );
%        lon_p,lat_p -    (  );
%              omega -  ;
%
%    lon_new,lat_new -   (  );
%                  R -   (3*3);
%
%  -   !!!
%

%  .. 30.09.96  

%  .,  .  . - : , 1989. - .265-267.

%       
% .......     
[x,y,z] = sph2car(lon_p,lat_p);
tmp = 1-cos(omega); s=sin(omega); c=cos(omega);
R = zeros(3,3);
R(1,1) = tmp*(x*x) +   c;
R(1,2) = tmp*(x*y) - z*s;
R(1,3) = tmp*(x*z) + y*s;
R(2,1) = tmp*(y*x) + z*s;
R(2,2) = tmp*(y*y) +   c;
R(2,3) = tmp*(y*z) - x*s;
R(3,1) = tmp*(z*x) - y*s;
R(3,2) = tmp*(z*y) + x*s;
R(3,3) = tmp*(z*z) +   c;

% ........     
m = length(lon_old); %    
tmp=zeros(m,3);
[tmp(:,1),tmp(:,2),tmp(:,3)] = sph2car(lon_old,lat_old);
% ........     
tmp2=zeros(3,m);
for k=1:m
   tmp2(:,k) = R*tmp(k,:)';
end
tmp2=tmp2';
% ........     
[lon_new,lat_new,r] = car2sph(tmp2(:,1),tmp2(:,2),tmp2(:,3));
