function S0=times0(YEAR,MONTH,DAY);
%      0 . UT
%
% :      S0=times0(YEAR,MONTH,DAY)  S0=times0(MJD);
%
%     YEAR - ;
%    MONTH - ;
%      DAY - ;
%      MJD - .  .
%
%       S0 -    
%             0 . UT ( ).

%  ..   27.08.98
% : "    1992 ". .615
%     06.06.2002 -    MJD

if nargin==1,     %   MJD
   MJD=fix(YEAR);
else				   %   
   MJD=cdtmjd(YEAR,MONTH,fix(DAY));
end
T=epoha(MJD);     %      J2000

S0 = 6*3600 +41*60 +50.54841 +...
     8640184.812866*T + 0.093104*T.^2 - 6.2e-6*T.^3; %  

S0=mod(S0/3600,24);  %    (0-24) .
