function [am,ph,tap]=amph(x,Ifr,Step,F,tau,Flag);
%        
%    ( )
%
%:      [am,ph,[t]]=amph(x,Ifr,Step,F,tau,[Flag]); 
%
%    x -  ;
%  Ifr -  ,      ;
% Step -    ;
%    F -     (..   
%         tau)  N;
%  tau -   (..     F);
% Flag -  ,       
%
%   am -  ;
%   ph -   (  tau);
%    t -    (  tau);
%
% !!!  1.   .   
%                   .
%              2.     t=0.

%  ..,  20.09.99

x=x(:); F=F(:); 	%  ,   
t=(0:length(x)-1)'*tau;	%   (  tau)
T=1./F;			%  
N=length(F);		% - 
%-------------------------------------------------------
am=zeros(1,N); ph=zeros(1,N); tap=[]; k=1; % 
i1=1; i2=Ifr;

while i2<length(x),
   if nargin>5,
      [am0,ph0]=wave_fit(t(i1:i2),detrend(x(i1:i2)),T);
   else
      [am0,ph0]=wave_fit(t(i1:i2),x(i1:i2),T);
   end   
   tap(k)=(Ifr/2+(k-1)*Step)*tau;
   am(k,:)=am0(:)';
   ph(k,:)=ph0(:)';
   k=k+1;
   i1=(k-1)*Step+1;
   i2=i1+Ifr-1;
end
tap=tap(:);