function [S,F]=a_spectr(x,dt,g)
%       
%
%
%:  [S,F]=a_spectr(x,[dt,[g]]);
%
%  x -    N;
% dt -   [  - 1];
%  g -   (0/1) [  -  (=0)];
%
%  S -  ;
%  F -    ;

if nargin==1
   dt=1; g=0;
elseif nargin==2
   g=0;
end

N=length(x);
a=fft(x);         % FFT
S=p_gramm(a,2);   % amplitude spectrum
F=f_axis(a,dt);
% .................. spectrum plot
ttt=['Step between points ' num2str(dt) '; Number of points - ' num2str(N)];
if g==1
   plot(F,S), title(ttt)
   xlabel('Frequency'), ylabel('Amplitude spectrum')
end
