function [lambda,phi,r]=car2sph(x,y,z)
%  (cartesian)   
%        lambda = atan2(y,x);
%           phi = asin(z/r);
%             r = sqrt(x^2+y^2+z^2);
%
%:  [lambda,phi,r]=car2sph(x,y,z);
%
%     x,y,z -    ;
%
%       phi -     ();
%    lambda -     ();
%         r -  .
%
%  -   !!!
%

%  ..  30.09.96  

r = sqrt( x.^2 + y.^2 + z.^2 );
phi = asin(z./r);
lambda = atan2(y,x);
