function [N,d]=fract_d(x,NK);
%     x(t)
% .
%  t  x      = 1.
%    N   d, 
%   x(t).     t  d
%  max(x(d))-min(x(d))  N  
% d,   .   
%  N(d).
%
%:  [N,d]=fract_d(x,[NK])
%
%x -   x(t), NK -   2, .. 
%   (  -  
% x(t)).
%N,d -     d;

% ....   x  0  1
%tt=(t-min(t))/(max(t)-min(t));
xx=(x-min(x))/(max(x)-min(x));
%
lx=length(xx);
if nargin<2
   NK=nextpow2(lx);   %  -     2
   if (2 .^NK > lx)
      NK = NK-1;
   end
%   NK=NK-2;
end
N=zeros(NK,1);
d=zeros(NK,1);
for k=1:NK,
    kk=2 .^(k-1);
    d(k)=1/kk;
    for l=1:kk,
        i1=(l-1)*lx/kk+1;
        i2=l*lx/kk;
        N(k)=N(k)+ceil( ( max(xx(i1:i2)) - min(xx(i1:i2)) )/d(k) );
    end
%    disp([k d(k) N(k)])
end
%d=d*(max(x)-min(x));
