function [lon,lat,delta]=pole(lon1,lat1,lon2,lat2)
%      
%       
% .
%    
%
%:   [lon,lat,delta]=pole(lon1,lat1,lon2,lat2);
%
%   lon1,lat1 -     1;
%   lon2,lat2 -     2;
%
%     lon,lat -     ;
%       delta -  .
%
%  -   !!!
%
% [1,2]   ,  ,
%       1  2
%  DELTA.


%...........      
[x1,y1,z1] = sph2car(lon1,lat1);
[x2,y2,z2] = sph2car(lon2,lat2);
%........... DELTA   1  2 ( .)
delta = acos( x1.*x2 + y1.*y2 + z1.*z2 );
%...........   
c = abs(sin(delta));   %  .  (. )
x3 = (y1.*z2 - z1.*y2)./c;
y3 = (z1.*x2 - x1.*z2)./c;
z3 = (x1.*y2 - y1.*x2)./c;
disp([x3 y3 z3])
%...........   
[lon,lat] = car2sph(x3,y3,z3);
lon = lon+pi;
lat = -lat;
