function [x,y,z]=sph2car(lambda,phi,r)
%    
%     x = r*cos(lambda)*cos(phi);
%     y = r*sin(lambda)*cos(phi);
%     z = r*sin(phi);
%
%:  [x,y,z]=sph2car(lambda,phi,[r])
%
%    lambda -     ();
%       phi -     ();
%         r -   (  = 1).
%
%     x,y,z -    ;
%
%  -   !!!
%

%  ..  30.09.96  

if nargin<3
   r = 1;
end

x = r.*cos(lambda).*cos(phi);
y = r.*sin(lambda).*cos(phi);
z = r.*sin(phi);
