function [z,f,t]=svan_all(x,Nfft,Step,Tau,Tip);
%     
%
% [z,f,t]=svan_all(x,Nfft,Step,Tau,Tip);
%
%     x -  ;
%  Nfft -    FFT ( );
%  Step -  ( )    ;
%   Tau -  ;
%   Tip -      FFT:
%           0 -   ( );
%           1 -    Nfft ;
%           2 -     Nfft ;
%
%     z -   (length(t),length(f));
%     f -   ( Tau);
%     t -   ,     z;

if nargin<5,
   Tip=0;
end

Nall=length(x);
[s,f]=a_spectr(x(1:Nfft),Tau);
z=zeros(1,length(s));
count=1;
for k=1:Step:Nall-Nfft+1,
    i1=k;
    i2=i1+Nfft-1;
    if Tip==0,
       s=a_spectr(x(i1:i2),Tau,0);
    elseif Tip==1,
       s=a_spectr(x(i1:i2)-mean(x(i1:i2)),Tau,0);
    else
       s=a_spectr(detrend(x(i1:i2)),Tau,0);
    end
    z(count,:)=s';
    count=count+1;
end
[m,n]=size(z);
t=(0:m-1)'*(Step*Tau);
