function [dd,mm,ss,str]=deg2dms(deg)
% ,     (),
%  (),       
%
%:	[dd,mm,ss,str]=deg2dms(deg);
%
% :
%  deg -     ( );
%
% :
%   dd -  ();
%   mm - ;
%   ss - ;
%  str -     'XXX:XX:XX.XXX'.

% Sergey Khomutov,  08.05.1997,  Novosibirsk
%     revised 20.05.2001 (      )

s=sign(deg);                  %  

dd=fix(deg);			         %  / 
mm=fix(rem(deg,1)*60);		   % 
ss=deg*3600-(dd*3600+mm*60);	% 

if nargout>3
	%			  
   s_d=num2str(abs(dd),'%03d');
	s_m=num2str(abs(mm),'%02d');
	s_s=num2str(abs(ss),'%05.2f');
   s_sign=num2str(s,'%+1d');s_sign=s_sign(:,1);
   str=strcat(s_sign,s_d,':',s_m,':',s_s);
end
